using System;
using System.Data;
namespace FOUPOS.IDAL
{
    /// <summary>
    /// 接口层IFAccount 的摘要说明。
    /// </summary>
    public interface IFAccount
    {
        #region  成员方法
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        bool Exists(int ID);
        int GetMaxID();
        /// <summary>
        /// 增加一条数据
        /// </summary>
        void Add(FOUPOS.Model.FAccount model);
        /// <summary>
        /// 更新一条数据
        /// </summary>
        void Update(FOUPOS.Model.FAccount model);
        /// <summary>
        /// 删除一条数据
        /// </summary>
        void Delete(int ID);
        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        FOUPOS.Model.FAccount GetModel(int ID);
        /// <summary>
        /// 获得数据列表
        /// </summary>
        DataSet GetList(string strWhere);
        /// <summary>
        /// 根据分页获得数据列表
        /// </summary>
        DataSet GetDetailList(string strWhere);
        #endregion  成员方法
    }
}
